Subject: Re: linux-next: disabling -Wstringop-truncation

From: Andi Kleen <[email-masked]>
Date: Thu, 30 Aug 2018 15:32:06 -0700

Stephen Rothwell <[email-masked]> writes:

> Hi Linus,
>
> I am now mainly using gcc v8.2 for my builds and -Wstringop-truncation
> causes so many warnings that I am sure to miss others, so I have
> applied the below to my fixes tree until the noise reduces.

I have the same problem.

However It's not clear if they're all false positives (I suspect not)

It would be better to move the warning to W=2 or so, and also needs
someone actually looking at them.

-Andi